> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soharhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Patient

> This API is still available but no longer supported and is planned for deprecation in a future release; users should transition to the [Create Verifications](/api-reference/verifications/create-verification-v2) API.



## OpenAPI

````yaml post /v1/patients
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sohar API
  license:
    name: MIT
servers:
  - url: https://api.soharhealth.com
security: []
paths:
  /v1/patients:
    post:
      tags:
        - Legacy-Patients
      summary: Create Patient
      description: >-
        This API is still available but no longer supported and is planned for
        deprecation in a future release; users should transition to the [Create
        Verifications](/api-reference/verifications/create-verification-v2) API.
      operationId: createPatient
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatientRequest'
            example:
              firstName: John
              lastName: Doe
              dateOfBirth: 01/01/1999
              state: CA
      responses:
        '201':
          description: A patient ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PatientResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
                  param:
                    type: string
                    example: firstName
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '500':
          description: Internal error
      security:
        - BasicAuth: []
components:
  schemas:
    PatientRequest:
      required:
        - firstName
        - lastName
        - dateOfBirth
        - state
      type: object
      properties:
        firstName:
          type: string
          description: The patient's first name
          example: John
        lastName:
          type: string
          description: The patient's last name
          example: Doe
        dateOfBirth:
          type: string
          description: The patient's birth date in MM/DD/YYYY format
          pattern: ^(0[1-9]|1[0-2])\/(0[1-9]|[12][0-9]|3[01])\/(19|20)\d\d$
          example: 09/20/2023
        state:
          type: string
          description: Two-letter US state code
          enum:
            - AK
            - AL
            - AR
            - AZ
            - CA
            - CO
            - CT
            - DC
            - DE
            - FL
            - GA
            - HI
            - IA
            - ID
            - IL
            - IN
            - KS
            - KY
            - LA
            - MA
            - MD
            - ME
            - MI
            - MN
            - MO
            - MS
            - MT
            - NC
            - ND
            - NE
            - NH
            - NJ
            - NM
            - NV
            - NY
            - OH
            - OK
            - OR
            - PA
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VA
            - VT
            - WA
            - WI
            - WV
            - WY
          example: CA
    PatientResponse:
      type: object
      properties:
        patientId:
          type: string
          description: The Sohar ID for the patient
          format: uuid
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
  securitySchemes:
    BasicAuth:
      type: http
      scheme: bearer

````